syb-0.6: Scrap Your Boilerplate

Copyright | (c) The University of Glasgow, CWI 2001--2004
License | BSD-style (see the LICENSE file)
Maintainer | generics@haskell.org
Stability | experimental
Portability | non-portable (uses Data.Generics.Basics)
Safe Haskell | None
Language | Haskell98

Data.Generics

Contents

- All Data.Generics modules

Description

"Scrap your boilerplate" --- Generic programming in Haskell See http://www.cs.uu.nl/wiki/GenericProgramming/SYB. To scrap your boilerplate it is sufficient to import the present module, which simply re-exports all themes of the Data.Generics library.

Synopsis

- module Data.Data
- module Data.Generics.Aliases
- module Data.Generics.Schemes
- module Data.Generics.Text
- module Data.Generics.Twins
- module Data.Generics.Builders

# All Data.Generics modules

module Data.Data

module Data.Generics.Aliases

module Data.Generics.Schemes

module Data.Generics.Text

module Data.Generics.Twins

module Data.Generics.Builders